import request from '@/utils/request'

// 质量事故列表
export function qualityaccidentLists(params: any) {
    return request.get({ url: '/quality.quality_accident/lists', params })
}

// 添加质量事故
export function qualityaccidentAdd(params: any) {
    return request.post({ url: '/quality.quality_accident/add', params })
}

// 编辑质量事故
export function qualityaccidentEdit(params: any) {
    return request.post({ url: '/quality.quality_accident/edit', params })
}

// 删除质量事故
export function qualityaccidentDelete(params: any) {
    return request.post({ url: '/quality.quality_accident/delete', params })
}

// 质量事故详情
export function qualityaccidentDetail(params: any) {
    return request.get({ url: '/quality.quality_accident/detail', params })
}